### Method

# Atk Action get_name

#### Declaration [src]

    const gchar*
    atk_action_get_name (
      AtkAction* action,
      gint i
    )

#### Description [src]

Returns a non-localized string naming the specified action of the object. This name is generally not descriptive of the end result of the action, but instead names the ‘interaction type’ which the object supports. By convention, the above strings should be used to represent the actions which correspond to the common point-and-click interaction techniques of the same name: i.e. “click”, “press”, “release”, “drag”, “drop”, “popup”, etc. The “popup” action should be used to pop up a context menu for the object, if one exists.

For technical reasons, some toolkits cannot guarantee that the reported action is actually ‘bound’ to a nontrivial user event; i.e. the result of some actions via `atk_action_do_action()` may be NIL.

#### Parameters

`i`

  Type: `gint`

  The action index corresponding to the action to be performed.

#### Return value

Type: `const gchar*`

A name string, or `NULL` if `action` does not implement this interface.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.